#include "http.h"
#include <uv.h>
#include <td/telegram/td_api.h>
#include <td/telegram/td_api.hpp>

int main() {
  uv_loop_t *loop = uv_default_loop();

  http::HttpClient httpClient(loop);
  spdlog::info("sending request");
  httpClient.send_request("GET", "https://slavasil.ru/", {}, [](auto resp, CURLcode code){
    if (code == 0) {
      spdlog::info("got response! {} {}", resp->status, resp->body);
    } else {
      spdlog::error("got error!");
    }
  });
  
  uv_run(loop, UV_RUN_DEFAULT);
  return 0;
}
